package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.utils.StringUtils;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--火电、钢铁燃料信息对象 b_stat_table_zxbg_hd_gt_fuel
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电、钢铁燃料信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_hd_gt_fuel")
public class BStatTableZxbgHdGtFuel extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "机组名称")
    /** 机组名称 */
    @Excel(name = "机组名称")
    private String unitName;


    @ApiModelProperty(value = "机组类型")
    /** 机组类型 */
    @Excel(name = "机组类型")
    private String unitType;


    @ApiModelProperty(value = "燃料消耗量")
    /** 燃料消耗量 */
    @Excel(name = "燃料消耗量")
    private String fuelConsumption;


    @ApiModelProperty(value = "燃料消耗量单位")
    /** 燃料消耗量单位 */
    @Excel(name = "燃料消耗量单位")
    private String fuelConsumptionUnits;


    @ApiModelProperty(value = "发电标准煤耗")
    /** 发电标准煤耗 */
    @Excel(name = "发电标准煤耗")
    private String coalConsumption;


    @ApiModelProperty(value = "发电标准煤耗单位")
    /** 发电标准煤耗单位 */
    @Excel(name = "发电标准煤耗单位")
    private String coalConsumptionUnits;


    @ApiModelProperty(value = "产灰量")
    /** 产灰量 */
    @Excel(name = "产灰量")
    private String ashProduction;


    @ApiModelProperty(value = "产灰量单位")
    /** 产灰量单位 */
    @Excel(name = "产灰量单位")
    private String ashProductionUits;


    @ApiModelProperty(value = "产渣量")
    /** 产渣量 */
    @Excel(name = "产渣量")
    private String slagProduction;


    @ApiModelProperty(value = "产渣量单位")
    /** 产渣量单位 */
    @Excel(name = "产渣量单位")
    private String slagProductionUnits;

    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("unitName", getUnitName())
            .append("unitType", getUnitType())
            .append("fuelConsumption", getFuelConsumption())
            .append("fuelConsumptionUnits", getFuelConsumptionUnits())
            .append("coalConsumption", getCoalConsumption())
            .append("coalConsumptionUnits", getCoalConsumptionUnits())
            .append("ashProduction", getAshProduction())
            .append("ashProductionUits", getAshProductionUits())
            .append("slagProduction", getSlagProduction())
            .append("slagProductionUnits", getSlagProductionUnits())
            .append("createTime", getCreateTime())
            .toString();
    }
}
